#! /usr/bin/env bash
# Args: <config-file> <arch> <builder-args> [<repo>]

if [ -z "$4" ]; then
    exec "$(dirname "$0")/build.sh" "$@"
else
    "$(dirname "$0")/hash_modules.py" --require-build --installed "$1" "$2" &&
    exec "$(dirname "$0")/build.sh" "$@"
fi

echo "No rebuild required."